/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class TaskStatusEnum extends StringEnum
{
    public static final String PENDING_VALUE = "PENDING";//alias=待审批
    public static final String APPROVED_VALUE = "APPROVED";//alias=任务同意
    public static final String REJECTED_VALUE = "REJECTED";//alias=任务拒绝
    public static final String TRANSFERRED_VALUE = "TRANSFERRED";//alias=任务转交
    public static final String DONE_VALUE = "DONE";//alias=任务通过但审批人未操作

    public static final TaskStatusEnum PENDING = new TaskStatusEnum("PENDING", PENDING_VALUE);
    public static final TaskStatusEnum APPROVED = new TaskStatusEnum("APPROVED", APPROVED_VALUE);
    public static final TaskStatusEnum REJECTED = new TaskStatusEnum("REJECTED", REJECTED_VALUE);
    public static final TaskStatusEnum TRANSFERRED = new TaskStatusEnum("TRANSFERRED", TRANSFERRED_VALUE);
    public static final TaskStatusEnum DONE = new TaskStatusEnum("DONE", DONE_VALUE);

    /**
     * construct function
     * @param String taskStatusEnum
     */
    private TaskStatusEnum(String name, String taskStatusEnum)
    {
        super(name, taskStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static TaskStatusEnum getEnum(String taskStatusEnum)
    {
        return (TaskStatusEnum)getEnum(TaskStatusEnum.class, taskStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(TaskStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(TaskStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(TaskStatusEnum.class);
    }
}